Webサーバの脆弱性チェックのために nikto をインストールして実行してみたのだけれど、英語のメッセージに萎えそうになりながらも、少し訳してみました。少し自信ないんですが日本語のドキュメントも少ないので一応覚書として・・

OSVDB-12184

PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings.

  •  PHPはある特定のクエリ配列を含んでいるHTTPリクエストを用いて潜在的な機密情報を漏洩します

http://osvdb.org/12184
DESCRIPTION

PHP contains a flaw that may lead to an unauthorized information disclosure.The issue is triggered when a remote attacker makes certain HTTP requests with crafted arguments,which will disclose PHP version and another sensitive information resulting in a loss of confidentiality.

  • PHP は、無許可の情報開示につながるような欠陥を含んでいます。問題はリモートの攻撃者が巧妙に作り上げた引数でHTTPリクエストを行う時に引き起こされます。それは、機密性の損失に帰着してPHPのバージョン情報と、別の機密情報を明らかにします。

SOLUTION

No patches are necessary to correct this issue. Set the “expose_php” setting to “Off” in the php.ini file, which will disable this functionality.

  • この問題を修正するパッチは必要ではありません。php.iniファイルのexpose_php を off にセットすれば、この機能を無効にします。

http://osvdb.org/3092
DESCRIPTION

A potentially interesting file, directory or CGI was found on the web server. While there is no known vulnerability or exploit associated with this, it may contain sensitive information which can be disclosed to unauthenticated remote users, or aid in more focused attacks.

  • ある潜在的な興味深いファイル、ディレクトリ、あるいはCGIがウェブサーバー上で発見されました。今のところこれに関連するバグや脆弱性は知られていませんが、許可のないリモートユーザーに公開されるような機密情報を含んでいるかもしれませんし、あるいはより集中された攻撃を助けるかもしれません。

SOLUTION

If the file or directory contains sensitive information, remove the files from the web server or password protect them.

  • もしファイルやディレクトリが機密情報を含んでいるならば、ウェブサーバーから削除するかパスワードで保護してください。
カテゴリー: Linux

0件のコメント

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です